<?xml version="1.0" encoding="utf-8"?>
<com.gingersoft.gsa.cloud.main.mvp.ui.view.SlidingMenu xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/slideMenu"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_main_bg">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:descendantFocusability="blocksDescendants"
        android:orientation="horizontal">
        <!--    側邊欄內容-->
        <LinearLayout
            android:id="@+id/side_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="start"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_15"
                android:text="個人中心"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_17" />

            <ImageView
                android:layout_width="@dimen/dp_76"
                android:layout_height="@dimen/dp_76"
                android:layout_marginTop="@dimen/dp_14"
                android:src="@drawable/ic_header" />

            <TextView
                android:id="@+id/tv_username"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_6"
                android:text="NAME"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_20" />

            <TextView
                android:id="@+id/tv_store_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:text="店鋪名稱"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_20" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_side_menu"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginBottom="@dimen/dp_20"
                android:layout_weight="1"
                android:visibility="visible" />

            <LinearLayout
                android:id="@+id/layout_login_out"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_45"
                android:gravity="center_vertical|bottom"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/dp_29"
                    android:layout_height="@dimen/dp_27"
                    android:layout_marginLeft="@dimen/dp_18"
                    android:src="@drawable/ic_loginout" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_6"
                    android:text="登出"
                    android:textColor="@color/white"
                    android:textSize="@dimen/dp_17" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_version_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_18"
                android:layout_marginBottom="@dimen/dp_35"
                android:gravity="center_vertical|bottom"
                android:text=""
                android:textColor="@color/white"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <!--    主頁內容-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_title_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_main_title_bg"
                android:paddingLeft="@dimen/dp_20"
                android:paddingTop="@dimen/dp_7"
                android:paddingRight="@dimen/dp_12"
                android:paddingBottom="@dimen/dp_7"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/iv_personal_center"
                    android:layout_width="@dimen/dp_37"
                    android:layout_height="@dimen/dp_37"
                    android:src="@drawable/ic_my"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_restaurant_name"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="店鋪名稱"
                    android:textColor="@color/white"
                    android:textSize="@dimen/dp_18"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="@dimen/dp_24"
                    android:layout_height="@dimen/dp_26"
                    android:src="@drawable/ic_msg"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <com.scwang.smartrefresh.layout.SmartRefreshLayout
                android:id="@+id/qm_refresh"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/shape_main_bottom_corners_bg">

                <com.gingersoft.gsa.cloud.ui.view.MyScrollView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fillViewport="true">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:paddingBottom="@dimen/dp_10"
                        android:layout_height="wrap_content">

                        <fragment
                            android:id="@+id/main_top_fragment"
                            android:name="com.gingersoft.gsa.cloud.main.mvp.ui.fragment.MainTopFragment"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />

                        <com.lihang.ShadowLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/layout_ordering_meals"
                            android:layout_marginLeft="@dimen/dp_13"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_13"
                            app:hl_cornerRadius="@dimen/dp_4"
                            app:hl_shadowBackColor="@color/white"
                            app:hl_shadowLimit="@dimen/dp_0">
                            <!--管理-->
                            <LinearLayout
                                android:id="@+id/layout_management"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="@dimen/dp_16">

                                <LinearLayout
                                    android:id="@+id/ll_management"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">

                                    <TextView
                                        android:id="@+id/tv_function_name2"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="@dimen/dp_15"
                                        android:textColor="#181818"
                                        android:textSize="@dimen/dp_14" />

                                    <androidx.recyclerview.widget.RecyclerView
                                        android:id="@+id/rv_management"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="@dimen/main_recyclerview_marginLeft"
                                        android:layout_marginTop="@dimen/dp_20"
                                        android:layout_marginRight="@dimen/main_recyclerview_marginRight" />

                                    <View
                                        android:layout_width="match_parent"
                                        android:layout_height="@dimen/dp_1"
                                        android:background="#F0F0F0"
                                        android:visibility="gone"/>
                                </LinearLayout>

                                <!-- 員工管理-->
                                <LinearLayout
                                    android:id="@+id/ll_staff_management"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical">

                                    <TextView
                                        android:id="@+id/tv_function_name3"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginLeft="@dimen/dp_15"
                                        android:layout_marginTop="@dimen/dp_20"
                                        android:visibility="visible"
                                        android:textColor="#181818"
                                        android:textSize="@dimen/dp_14" />

                                    <androidx.recyclerview.widget.RecyclerView
                                        android:id="@+id/rv_staff_management"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:visibility="visible"
                                        android:layout_marginLeft="@dimen/main_recyclerview_marginLeft"
                                        android:layout_marginTop="@dimen/dp_10"
                                        android:layout_marginRight="@dimen/main_recyclerview_marginRight" />
                                </LinearLayout>
                            </LinearLayout>
                        </com.lihang.ShadowLayout>
                        <!-- 點餐模塊-->
                        <com.lihang.ShadowLayout
                            android:id="@+id/layout_ordering_meals"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/main_top_fragment"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            app:hl_cornerRadius="@dimen/dp_4"
                            app:hl_dy="@dimen/main_shadow_dy"
                            android:visibility="visible"
                            app:hl_shadowBackColor="@color/white"
                            app:hl_shadowColor="@color/shadow_color"
                            app:hl_shadowLimit="@dimen/main_shadow_limit">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:paddingTop="@dimen/dp_15"
                                android:paddingBottom="@dimen/dp_20">

                                <TextView
                                    android:id="@+id/tv_function_name1"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/dp_22"
                                    android:textColor="#181818"
                                    android:textSize="@dimen/dp_17" />

                                <View
                                    android:layout_width="match_parent"
                                    android:layout_height="@dimen/dp_1"
                                    android:layout_marginTop="@dimen/dp_11"
                                    android:background="#F0F0F0" />

                                <androidx.recyclerview.widget.RecyclerView
                                    android:id="@+id/rv_ordering_meals"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/main_recyclerview_marginLeft"
                                    android:layout_marginTop="@dimen/dp_10"
                                    android:layout_marginRight="@dimen/main_recyclerview_marginRight" />
                            </LinearLayout>
                        </com.lihang.ShadowLayout>
                    </RelativeLayout>
                </com.gingersoft.gsa.cloud.ui.view.MyScrollView>
            </com.scwang.smartrefresh.layout.SmartRefreshLayout>
        </LinearLayout>
    </LinearLayout>
</com.gingersoft.gsa.cloud.main.mvp.ui.view.SlidingMenu>